Subject: Re: bug#49247: 28.0.50; [Feature Request] Make tab-bar-lines dragable

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Jun 2021 14:53:46 +0300

> From: Juri Linkov <[email-masked]>
> Date: Tue, 29 Jun 2021 11:30:47 +0300
> Cc: [email-masked]
> 
> > I propose adding draggable feature for tab-bar since I know many people are
> > using it.
> > For people using tab-bar-mode and disabling the frame title, it would be
> > nice to move the frame by dragging the tab-bar.
> 
> The problem is that tab-bar is based on tool-bar, but the native tool-bar
> doesn't support dragging.  So this feature will be difficult to implement.

I actually don't quite see how to implement it even if it wasn't hard:
dragging the frame by its title bar or the external border is
implemented in the window manager, not in Emacs.  What would be the
way of implementing something similar in Emacs?